Bug 496768 - gtkperf performance compared with ubuntu's [NEEDINFO]
gtkperf performance compared with ubuntu's
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 22:47 EDT by Sachin Garg
Modified: 2010-06-28 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (ascii79)


Attachments (Terms of Use)
log from the Fedora system (53.46 KB, text/plain)
2009-04-22 00:51 EDT, Sachin Garg
no flags Details
xog log from Ubuntu (22.94 KB, text/plain)
2009-04-22 00:54 EDT, Sachin Garg
no flags Details

  None (edit)
Description Sachin Garg 2009-04-20 22:47:25 EDT
Description of problem:

I ran gtkperf on same laptop with ubuntu and fedora. Ubuntu performance was better than that of fedora. The test was done without the compiz.

Ubuntu gtkperf data
--------------------

GtkPerf 0.40 - Starting testing: Mon Apr 20 20:56:03 2009

GtkEntry - time:  0.07
GtkComboBox - time:  3.39
GtkComboBoxEntry - time:  1.88
GtkSpinButton - time:  0.79
GtkProgressBar - time:  0.82
GtkToggleButton - time:  0.58
GtkCheckButton - time:  0.48
GtkRadioButton - time:  1.07
GtkTextView - Add text - time:  0.85
GtkTextView - Scroll - time:  0.97
GtkDrawingArea - Lines - time:  1.25
GtkDrawingArea - Circles - time:  1.01
GtkDrawingArea - Text - time:  1.65
GtkDrawingArea - Pixbufs - time:  0.45
 --- 
Total time: 15.28


Fedora gtkperf data
--------------------
GtkPerf 0.40 - Starting testing: Mon Apr 20 21:36:43 2009

GtkEntry - time:  0.18
GtkComboBox - time:  3.47
GtkComboBoxEntry - time:  2.48
GtkSpinButton - time:  1.15
GtkProgressBar - time:  0.63
GtkToggleButton - time:  0.98
GtkCheckButton - time:  0.24
GtkRadioButton - time:  0.53
GtkTextView - Add text - time:  0.90
GtkTextView - Scroll - time:  1.84
GtkDrawingArea - Lines - time:  1.57
GtkDrawingArea - Circles - time:  3.07
GtkDrawingArea - Text - time:  3.87
GtkDrawingArea - Pixbufs - time:  0.47
 --- 
Total time: 21.37



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-04-21 09:01:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Warren Togami 2009-04-21 23:28:59 EDT
What versions of kernel and intel driver in Ubuntu?  Are they using GEM, DRI2 and KMS?
Comment 3 Sachin Garg 2009-04-22 00:51:59 EDT
Created attachment 340673 [details]
log from the Fedora system

There is no xorg.conf both in Fedora and Ubuntu
Comment 4 Sachin Garg 2009-04-22 00:54:39 EDT
Created attachment 340674 [details]
xog log from Ubuntu
Comment 5 Sachin Garg 2009-04-22 00:58:58 EDT
Kernel version -- 2.6.28-11-generic
xserver-xorg-video-intel -- 2:2.6.3-0ubuntu9


OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20090326 2009Q1 RC2
OpenGL version string: 2.0 Mesa 7.4
OpenGL shading language version string: 1.10

No KMS.
Comment 6 Adam Jackson 2009-04-23 15:38:54 EDT
> There is no xorg.conf both in Fedora and Ubuntu

Not actually true in the Ubuntu log file you give:

(==) Using config file: "/etc/X11/xorg.conf"

It's also worth noting that gtkperf numbers are highly dependent on the gtk theme in use.  What happens if you test with a theme available on both?  I believe Mist is available on Ubuntu.
Comment 7 Sachin Garg 2009-04-23 22:20:02 EDT
Timing with Mist theme (Fedora)

GtkPerf 0.40 - Starting testing: Thu Apr 23 21:19:06 2009

GtkEntry - time:  0.08
GtkComboBox - time:  1.23
GtkComboBoxEntry - time:  0.98
GtkSpinButton - time:  0.13
GtkProgressBar - time:  0.06
GtkToggleButton - time:  0.08
GtkCheckButton - time:  0.08
GtkRadioButton - time:  0.44
GtkTextView - Add text - time:  0.83
GtkTextView - Scroll - time:  0.54
GtkDrawingArea - Lines - time:  1.41
GtkDrawingArea - Circles - time:  3.09
GtkDrawingArea - Text - time:  2.11
GtkDrawingArea - Pixbufs - time:  0.31
 --- 
Total time: 11.37

Quitting..
Comment 8 Sachin Garg 2009-04-23 22:31:15 EDT
In Ubuntu 

GtkPerf 0.40 - Starting testing: Thu Apr 23 21:29:36 2009

GtkEntry - time:  0.08
GtkComboBox - time:  1.93
GtkComboBoxEntry - time:  1.47
GtkSpinButton - time:  0.19
GtkProgressBar - time:  0.09
GtkToggleButton - time:  0.10
GtkCheckButton - time:  0.07
GtkRadioButton - time:  0.44
GtkTextView - Add text - time:  0.79
GtkTextView - Scroll - time:  0.46
GtkDrawingArea - Lines - time:  1.48
GtkDrawingArea - Circles - time:  1.30
GtkDrawingArea - Text - time:  2.04
GtkDrawingArea - Pixbufs - time:  0.63
 --- 
Total time: 11.07

Quitting..
Comment 9 Kristian Høgsberg 2009-05-12 10:46:55 EDT
Could you try this again with most recent rawhide?  Specifically, at least kernel 2.6.29.2-126 and xorg-x11-drv-intel 2.7.0-4.

thanks,
Kristian
Comment 10 Sachin Garg 2009-05-19 21:37:23 EDT
Values in fedora with defaults themes

[sachin@localhost ~]$ gtkperf 
GtkPerf 0.40 - Starting testing: Tue May 19 20:34:33 2009

GtkEntry - time:  0.14
GtkComboBox - time:  3.34
GtkComboBoxEntry - time:  2.07
GtkSpinButton - time:  1.20
GtkProgressBar - time:  0.66
GtkToggleButton - time:  0.84
GtkCheckButton - time:  0.20
GtkRadioButton - time:  0.60
GtkTextView - Add text - time:  0.89
GtkTextView - Scroll - time:  1.83
GtkDrawingArea - Lines - time:  1.21
GtkDrawingArea - Circles - time:  3.49
GtkDrawingArea - Text - time:  2.43
GtkDrawingArea - Pixbufs - time:  0.34
 --- 
Total time: 19.26

Quitting..
[sachin@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.29.3-140.fc11.i586 #1 SMP Tue May 12 10:30:21 EDT 2009 i686 i686 i386 GNU/Linux
Comment 11 Bug Zapper 2009-06-09 10:15:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-05 13:27:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Bug Zapper 2010-04-27 09:50:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:07:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.